WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Error in firefox.tcz.dep  (Read 1873 times)

Offline bmarkus

  • Administrator
  • Hero Member
  • *****
  • Posts: 7183
    • My Community Forum
Error in firefox.tcz.dep
« on: April 09, 2010, 02:51:12 AM »
There is a typo in firefox.tcz.dep

Quote
libasound.tcz
curl.tcz
libnotify.tcz
dbus-glib.tzc
gtk2.tcz
fontconfig.tcz
glib2.tcz
pixman.tcz
Béla
Ham Radio callsign: HA5DI

"Amateur Radio: The First Technology-Based Social Network."

Offline MakodFilu

  • Newbie
  • *
  • Posts: 46
Re: Error in firefox.tcz.dep
« Reply #1 on: April 09, 2010, 04:22:32 AM »
I thought it was already using recursive dependencies, as in:

firefox.tcz.dep
Quote
libasound.tcz
curl.tcz
libnotify.tcz

I see I was wrong:
http://distro.ibiblio.org/pub/linux/distributions/tinycorelinux/2.x/tcz/firefox.tcz.dep
« Last Edit: April 09, 2010, 04:24:44 AM by MakodFilu »

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9730
Re: Error in firefox.tcz.dep
« Reply #2 on: April 10, 2010, 05:48:50 AM »
That dep file was submitted by a user who said firefox wouldn't start with the dep file like it was, though there were no new real dependencies in the submitted dep file as recursion resolved all needed ones.  I saw the typo and thought I fixed it.  The user first stated he was using TC 2.10, but later realized it was 2.9.  I was going to revert the dep file but was not in a huge rush as I thought the typo was not there.

Oh well, stuff happens.